'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

let params = process.argv[4]
let baseUrl = ''
switch (params) {
  case '--env=uat':
    baseUrl = '"https://uat.jms.lifejingzhi.com/jzfranchiseeapiservice"'
    // baseUrl = '"https://uat.jzmall.lifejingzhi.com/h5"'
    break
  case '--env=prod':
    baseUrl = '"https://jms.lifejingzhi.com/jzfranchiseeapiservice"'
    break
  default:
    baseUrl = '"https://uat.jms.lifejingzhi.com/jzfranchiseeapiservice"'
    // baseUrl = '"https://uat.jzmall.lifejingzhi.com/h5"'
}
module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  baseUrl: baseUrl
})
